Overview
POST
/document/operationsdocumentCreate operations
Create a record in operations.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- documentIdstring
- blockIdoptionalstring?
- deletedAtoptionalstring?
- ecosystemIdoptionalstring
- clientIdstring
- clientSeqinteger
- opTypestring
- opPayloadoptionalstring
- undoGroupIdoptionalstring?
- inverseOfOpIdoptionalstring?
Example
{
"documentId": "string",
"blockId": "string",
"deletedAt": "string",
"ecosystemId": "string",
"clientId": "string",
"clientSeq": 0,
"opType": "string",
"opPayload": "string",
"undoGroupId": "string",
"inverseOfOpId": "string"
}Responses
201
operations
- idstring
- documentIdstring
- blockIdstring?
- customerIdstring
- deletedAtstring?
- ecosystemIdstring
- clientIdstring
- clientSeqinteger
- opTypestring
- opPayloadstring
- createdAtstring
- syncVersioninteger
- undoGroupIdstring?
- inverseOfOpIdstring?
Example
{
"id": "string",
"documentId": "string",
"blockId": "string",
"customerId": "string",
"deletedAt": "string",
"ecosystemId": "string",
"clientId": "string",
"clientSeq": 0,
"opType": "string",
"opPayload": "string",
"createdAt": "string",
"syncVersion": 0,
"undoGroupId": "string",
"inverseOfOpId": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/document/operations" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"documentId": "string",
"blockId": "string",
"deletedAt": "string",
"ecosystemId": "string",
"clientId": "string",
"clientSeq": 0,
"opType": "string",
"opPayload": "string",
"undoGroupId": "string",
"inverseOfOpId": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/document/operations", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"documentId\": \"string\",\n \"blockId\": \"string\",\n \"deletedAt\": \"string\",\n \"ecosystemId\": \"string\",\n \"clientId\": \"string\",\n \"clientSeq\": 0,\n \"opType\": \"string\",\n \"opPayload\": \"string\",\n \"undoGroupId\": \"string\",\n \"inverseOfOpId\": \"string\"\n}",
});
const data = await res.json();